#include <math.h>
#include <stdlib.h>
#include "vecdefs.h"
#include "mvm.h"

MATRIX_double evalm(const MATRIX_double & );
int rowdim(const MATRIX_double & );
int coldim(const MATRIX_double & );
int nops(const VECTOR_double & );


MATRIX_double augment(const MATRIX_double &A,const MATRIX_double & B)
{
 
  int ra;
  int ca;
  int cb;
  int i;
  int j;
  {
    ra = rowdim(A);
    ca = coldim(A);
    cb = coldim(B);
    MATRIX_double C(ra,ca+cb);
    for(i = 1;i <= ra;i++)
    {
      for(j = 1;j <= ca;j++)
        C(i-1,j-1) = A(i-1,j-1);;
      for(j = ca+1;j <= ca+cb;j++)
        C(i-1,j-1) = B(i-1,j-ca-1);
    }

    return(evalm(C));
  }
}

